<?php
/**
 * Online News Theme Customizer
 *
 * @package Online_News
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function online_news_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->remove_control("header_image");

	// Load customize sanitize.
	include get_template_directory() . '/inc/customizer/sanitize.php';

		// Load customize callback.
	include get_template_directory() . '/inc/customizer/callback.php';

	// Load header sections option.
	include get_template_directory() . '/inc/customizer/theme-section.php';

	// Load home page sections option.
	include get_template_directory() . '/inc/customizer/home-section.php';


}
add_action( 'customize_register', 'online_news_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function online_news_customize_preview_js() {
	wp_enqueue_script( 'online_news_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'online_news_customize_preview_js' );

/**
 *
 */
function online_news_customize_backend_scripts() {

	wp_enqueue_style( 'online-news-admin-customizer-style', get_template_directory_uri() . '/inc/customizer/css/customizer-style.css' );
	wp_enqueue_script( 'online-news-admin-customizer', get_template_directory_uri() . '/inc/customizer/js/customizer-scipt.js', array( ), '20151215', true );
}
add_action( 'customize_controls_enqueue_scripts', 'online_news_customize_backend_scripts', 10 );
